## cascading.flow
Class FlowProps

    java.lang.Object
      cascading.property.Props
          cascading.flow.FlowProps

    public class FlowProps

extends Props

Class FlowProps is a fluent helper class for setting `Flow` specific properties through a `FlowConnector`.

See Also:
  `AppProps`, `CascadeProps`, `FlowConnectorProps`

Field Summary
`static String` `DEFAULT_ELEMENT_COMPARATOR`
`static String` `JOB_POLLING_INTERVAL`
`static String` `MAX_CONCURRENT_STEPS`
`static String` `PRESERVE_TEMPORARY_FILES`
`static String` `STOP_JOBS_ON_EXIT`

Constructor Summary
`FlowProps()`

Method Summary
`protected void` `addPropertiesTo(Properties properties)`
`static FlowProps` `flowProps()` Creates a new FlowProps instance.
`String` `getDefaultTupleElementComparator()`
`int` `getJobPollingInterval()`
`int` `getMaxConcurrentSteps()`
`boolean` `isPreserveTemporaryFiles()`
`boolean` `isStopJobsOnExit()`
`static void` `setDefaultTupleElementComparator(Map<Object,Object> properties, String className)` Sets a default `Comparator` to be used if no Comparator can be found for the class via the `Comparison` interface.
`FlowProps` `setDefaultTupleElementComparator(String defaultTupleElementComparator)` Sets a default `Comparator` to be used if no Comparator can be found for the class via the `Comparison` interface.
`FlowProps` `setJobPollingInterval(int jobPollingInterval)` Property jobPollingInterval will set the time to wait between polling the remote server for the status of a job.
`static void` `setJobPollingInterval(Map<Object,Object> properties, long interval)` Property jobPollingInterval will set the time to wait between polling the remote server for the status of a job.
`FlowProps` `setMaxConcurrentSteps(int maxConcurrentSteps)` Method setMaxConcurrentSteps sets the maximum number of steps that a Flow can run concurrently.
`static void` `setMaxConcurrentSteps(Map<Object,Object> properties, int numConcurrentSteps)` Method setMaxConcurrentSteps sets the maximum number of steps that a Flow can run concurrently.
`FlowProps` `setPreserveTemporaryFiles(boolean preserveTemporaryFiles)` Property preserveTemporaryFiles forces the Flow instance to keep any temporary intermediate data sets.
`static void` `setPreserveTemporaryFiles(Map<Object,Object> properties, boolean preserveTemporaryFiles)` Property preserveTemporaryFiles forces the Flow instance to keep any temporary intermediate data sets.
`FlowProps` `setStopJobsOnExit(boolean stopJobsOnExit)` Property stopJobsOnExit will tell the Flow to add a JVM shutdown hook that will kill all running processes if the underlying computing system supports it.
`static void` `setStopJobsOnExit(Map<Object,Object> properties, boolean stopJobsOnExit)` Property stopJobsOnExit will tell the Flow to add a JVM shutdown hook that will kill all running processes if the underlying computing system supports it.

Methods inherited from class cascading.property.Props
`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ELEMENT_COMPARATOR

    public static final String DEFAULT_ELEMENT_COMPARATOR

See Also:
  Constant Field Values

### PRESERVE_TEMPORARY_FILES

    public static final String PRESERVE_TEMPORARY_FILES

See Also:
  Constant Field Values

### JOB_POLLING_INTERVAL

    public static final String JOB_POLLING_INTERVAL

See Also:
  Constant Field Values

### MAX_CONCURRENT_STEPS

    public static final String MAX_CONCURRENT_STEPS

See Also:
  Constant Field Values

### STOP_JOBS_ON_EXIT

    public static final String STOP_JOBS_ON_EXIT

See Also:
  Constant Field Values

Constructor Detail

### FlowProps

    public FlowProps()

Method Detail

### setDefaultTupleElementComparator

    public static void setDefaultTupleElementComparator(Map<Object,Object> properties,
                                                        String className)

  Sets a default `Comparator` to be used if no Comparator can be found for the class via the `Comparison` interface.

  In the case of Hadoop, if the Comparator instance also implements `Configurable`, the `Configurable` will be called.

  In local mode, only the default constructor will be called for the comparator.

  Parameters:
    `properties` -
    `className` -

### setPreserveTemporaryFiles

    public static void setPreserveTemporaryFiles(Map<Object,Object> properties,
                                                 boolean preserveTemporaryFiles)

  Property preserveTemporaryFiles forces the Flow instance to keep any temporary intermediate data sets. Useful for debugging. Defaults to `false`.

  Parameters:
    `properties` - of type Map
    `preserveTemporaryFiles` - of type boolean

### setJobPollingInterval

    public static void setJobPollingInterval(Map<Object,Object> properties,
                                             long interval)

  Property jobPollingInterval will set the time to wait between polling the remote server for the status of a job. The default value is 5000 msec (5 seconds).

  Parameters:
    `properties` - of type Map
    `interval` - of type long

### setMaxConcurrentSteps

    public static void setMaxConcurrentSteps(Map<Object,Object> properties,
                                             int numConcurrentSteps)

  Method setMaxConcurrentSteps sets the maximum number of steps that a Flow can run concurrently.

  By default a Flow will attempt to run all give steps at the same time. But there are occasions where limiting the number of steps helps manages resources.

  Parameters:
    `properties` - of type Map<Object, Object>
    `numConcurrentSteps` - of type int

### setStopJobsOnExit

    public static void setStopJobsOnExit(Map<Object,Object> properties,
                                         boolean stopJobsOnExit)

  Property stopJobsOnExit will tell the Flow to add a JVM shutdown hook that will kill all running processes if the underlying computing system supports it. Defaults to `true`.

  Parameters:
    `properties` - of type Map
    `stopJobsOnExit` - of type boolean

### flowProps

    public static FlowProps flowProps()

  Creates a new FlowProps instance.

  Returns:
    FlowProps instance

### getDefaultTupleElementComparator

    public String getDefaultTupleElementComparator()

### setDefaultTupleElementComparator

    public FlowProps setDefaultTupleElementComparator(String defaultTupleElementComparator)

  Sets a default `Comparator` to be used if no Comparator can be found for the class via the `Comparison` interface.

  In the case of Hadoop, if the Comparator instance also implements `Configurable`, the `Configurable` will be called.

  In local mode, only the default constructor will be called for the comparator.

  Parameters:
    `defaultTupleElementComparator` -

### isPreserveTemporaryFiles

    public boolean isPreserveTemporaryFiles()

### setPreserveTemporaryFiles

    public FlowProps setPreserveTemporaryFiles(boolean preserveTemporaryFiles)

  Property preserveTemporaryFiles forces the Flow instance to keep any temporary intermediate data sets. Useful for debugging. Defaults to `false`.

  Parameters:
    `preserveTemporaryFiles` - of type boolean

### getJobPollingInterval

    public int getJobPollingInterval()

### setJobPollingInterval

    public FlowProps setJobPollingInterval(int jobPollingInterval)

  Property jobPollingInterval will set the time to wait between polling the remote server for the status of a job. The default value is 5000 msec (5 seconds).

  Parameters:
    `jobPollingInterval` - of type long

### getMaxConcurrentSteps

    public int getMaxConcurrentSteps()

### setMaxConcurrentSteps

    public FlowProps setMaxConcurrentSteps(int maxConcurrentSteps)

  Method setMaxConcurrentSteps sets the maximum number of steps that a Flow can run concurrently.

  By default a Flow will attempt to run all give steps at the same time. But there are occasions where limiting the number of steps helps manages resources.

  Parameters:
    `maxConcurrentSteps` - of type int

### isStopJobsOnExit

    public boolean isStopJobsOnExit()

### setStopJobsOnExit

    public FlowProps setStopJobsOnExit(boolean stopJobsOnExit)

  Property stopJobsOnExit will tell the Flow to add a JVM shutdown hook that will kill all running processes if the underlying computing system supports it. Defaults to `true`.

  Parameters:
    `stopJobsOnExit` - of type boolean

### addPropertiesTo

    protected void addPropertiesTo(Properties properties)

  Specified by:
    `addPropertiesTo` in class `Props`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.